Package opennlp.tools.postag

## Class DefaultPOSContextGenerator

- java.lang.Object
- - opennlp.tools.postag.DefaultPOSContextGenerator

- All Implemented Interfaces:
    `POSContextGenerator`, `BeamSearchContextGenerator<String>`

      public class DefaultPOSContextGenerator
      extends Object
      implements POSContextGenerator

  A context generator for the POS Tagger.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPOSContextGenerator​(int cacheSize, Dictionary dict)` | Initializes the current instance.
    `DefaultPOSContextGenerator​(Dictionary dict)` | Initializes the current instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getContext​(int index, Object[] tokens, String[] tags)` | Returns the context for making a pos tag decision at the specified token index given the specified tokens and previous tags.
    `String[]` | `getContext​(int index, String[] sequence, String[] priorDecisions, Object[] additionalContext)` | Returns the context for the specified position in the specified sequence (list).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPOSContextGenerator

          public DefaultPOSContextGenerator​(Dictionary dict)

      Initializes the current instance.
      Parameters:
        `dict` -

    - #### DefaultPOSContextGenerator

          public DefaultPOSContextGenerator​(int cacheSize,
                                            Dictionary dict)

      Initializes the current instance.
      Parameters:
        `cacheSize` -
        `dict` -

  - ### Method Detail

    - #### getContext

          public String[] getContext​(int index,
                                     String[] sequence,
                                     String[] priorDecisions,
                                     Object[] additionalContext)

      Description copied from interface: `BeamSearchContextGenerator`
      Returns the context for the specified position in the specified sequence (list).
      Specified by:
        `getContext` in interface `BeamSearchContextGenerator<String>`
      Specified by:
        `getContext` in interface `POSContextGenerator`
      Parameters:
        `index` - The index of the sequence.
        `sequence` - The sequence of items over which the beam search is performed.
        `priorDecisions` - The sequence of decisions made prior to the context for which this decision is being made.
        `additionalContext` - Any addition context specific to a class implementing this interface.
      Returns:
        the context for the specified position in the specified sequence.

    - #### getContext

          public String[] getContext​(int index,
                                     Object[] tokens,
                                     String[] tags)

      Returns the context for making a pos tag decision at the specified token index given the specified tokens and previous tags.
      Parameters:
        `index` - The index of the token for which the context is provided.
        `tokens` - The tokens in the sentence.
        `tags` - The tags assigned to the previous words in the sentence.
      Returns:
        The context for making a pos tag decision at the specified token index given the specified tokens and previous tags.